interface RecorderConfig {
    [prop: string]: any;
    bufferLen?: number;
}
export default class Recorder {
    private bufferLen;
    private config;
    private context;
    private currCallback;
    private node;
    private recording;
    private worker;
    constructor(source: MediaStreamAudioSourceNode, config?: RecorderConfig);
    clear(): void;
    exportAudio(cb: Function, type: string): void;
    getBuffer(cb: Function): void;
    record(): void;
    stop(): void;
}
export {};
